xmltooling 3.0.4

Public Member Functions | List of all members
xmltooling::OpenSSLCryptoX509CRL Class Reference

OpenSSL-based class for handling X.509 CRLs. More...

`#include <xmltooling/security/OpenSSLCryptoX509CRL.h>`

Inheritance diagram for xmltooling::OpenSSLCryptoX509CRL:
[legend]
Collaboration diagram for xmltooling::OpenSSLCryptoX509CRL:
[legend]

## Public Member Functions
| OpenSSLCryptoX509CRL ()
| Default constructor.
const XMLCh * | getProviderName () const
| Returns a string that identifies the crypto owner of this library. More...
void | loadX509CRLBase64Bin (const char *buf, unsigned int len)
| Load a Base64-encoded CRL into the object. More...
safeBuffer & | getDEREncodingSB ()
| Get a Base64 DER encoded copy of the CRL. More...
| OpenSSLCryptoX509CRL (X509_CRL *x)
| Constructor. More...
X509_CRL * | getOpenSSLX509CRL ()
| Returns native CRL object. More...
XSECCryptoX509CRL * | clone () const
| Returns a duplicate of the original object. More...
Public Member Functions inherited from xmltooling::XSECCryptoX509CRL
virtual const XMLCh * | getProviderName () const =0
| Returns a string that identifies the crypto owner of this library. More...
virtual XSECCryptoX509CRL * | clone () const =0
| Returns a duplicate of the original object. More...
virtual void | loadX509CRLBase64Bin (const char *buf, unsigned int len)=0
| Load a Base64-encoded CRL into the object. More...
void | loadX509CRLPEM (const char *buf, unsigned int len=0)
| Load a PEM encoded CRL into the object. More...
virtual safeBuffer & | getDEREncodingSB (void)=0
| Get a Base64 DER encoded copy of the CRL. More...

## Detailed Description

OpenSSL-based class for handling X.509 CRLs.

## Constructor & Destructor Documentation

## ◆ OpenSSLCryptoX509CRL()

xmltooling::OpenSSLCryptoX509CRL::OpenSSLCryptoX509CRL | ( | X509_CRL * | x | ) |

Constructor.

Parameters

  x | a native CRL object

## Member Function Documentation

## ◆ clone()

XSECCryptoX509CRL * xmltooling::OpenSSLCryptoX509CRL::clone | ( |  | ) | const
| virtual

Returns a duplicate of the original object.

Returns
  the duplicate

Implements xmltooling::XSECCryptoX509CRL.

## ◆ getDEREncodingSB()

safeBuffer & xmltooling::OpenSSLCryptoX509CRL::getDEREncodingSB | ( |  | ) |
| virtual

Get a Base64 DER encoded copy of the CRL.

Returns
  A safeBuffer containing the DER encoded certificate

Implements xmltooling::XSECCryptoX509CRL.

## ◆ getOpenSSLX509CRL()

X509_CRL * xmltooling::OpenSSLCryptoX509CRL::getOpenSSLX509CRL | ( |  | ) |

Returns native CRL object.

Returns
  native CRL object, or nullptr

## ◆ getProviderName()

const XMLCh * xmltooling::OpenSSLCryptoX509CRL::getProviderName | ( |  | ) | const
| virtual

Returns a string that identifies the crypto owner of this library.

Returns
  the crypto provider name

Implements xmltooling::XSECCryptoX509CRL.

## ◆ loadX509CRLBase64Bin()

void xmltooling::OpenSSLCryptoX509CRL::loadX509CRLBase64Bin | ( | const char * | buf,
|  | unsigned int | len
| ) |  |
| virtual

Load a Base64-encoded CRL into the object.

Parameters

  buf | buffer containing the base64-encoded CRL
  len | number of bytes of data in the CRL buffer (0 if the string is null terminated)

Implements xmltooling::XSECCryptoX509CRL.

The documentation for this class was generated from the following file:

- xmltooling/security/OpenSSLCryptoX509CRL.h